<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Dokumentacja pliku Viewer.hpp</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('_viewer_8hpp.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#nested-classes">Komponenty</a>  </div>
  <div class="headertitle"><div class="title">Dokumentacja pliku Viewer.hpp</div></div>
</div><!--header-->
<div class="contents">

<p>Definicja klasy <a class="el" href="class_viewer.html" title="Okno z modelami trójwymiarowymi.">Viewer</a>.  
<a href="#details">Więcej...</a></p>
<div class="textblock"><code>#include &quot;<a class="el" href="_robot_model_8hpp_source.html">RobotModel.hpp</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Wykres zależności załączania dla Viewer.hpp:</div>
<div class="dyncontent">
<div class="center"><img src="_viewer_8hpp__incl.png" border="0" usemap="#a_viewer_8hpp" alt=""/></div>
<map name="a_viewer_8hpp" id="a_viewer_8hpp">
<area shape="rect" title="Definicja klasy Viewer." alt="" coords="41,5,128,31"/>
<area shape="rect" href="_robot_model_8hpp.html" title="Definicja klasy RobotModel." alt="" coords="27,79,142,104"/>
<area shape="poly" title=" " alt="" coords="87,31,87,65,82,65,82,31"/>
<area shape="rect" title=" " alt="" coords="5,152,164,177"/>
<area shape="poly" title=" " alt="" coords="87,104,87,138,82,138,82,104"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
Ten wykres pokazuje, które pliki bezpośrednio lub pośrednio załączają ten plik:</div>
<div class="dyncontent">
<div class="center"><img src="_viewer_8hpp__dep__incl.png" border="0" usemap="#a_viewer_8hppdep" alt=""/></div>
<map name="a_viewer_8hppdep" id="a_viewer_8hppdep">
<area shape="rect" title="Definicja klasy Viewer." alt="" coords="201,5,287,31"/>
<area shape="rect" href="_map3_d_8hpp.html" title="Definicja klasy Map3D." alt="" coords="146,79,233,104"/>
<area shape="poly" title=" " alt="" coords="229,43,200,80,196,77,225,40"/>
<area shape="rect" href="_viewer_8cpp.html" title="Definicje metod klasy Viewer." alt="" coords="257,79,343,104"/>
<area shape="poly" title=" " alt="" coords="264,40,293,77,289,80,260,43"/>
<area shape="rect" href="_main_window_8hpp.html" title="Definicja klasy MainWindow." alt="" coords="65,152,185,177"/>
<area shape="poly" title=" " alt="" coords="172,116,138,154,134,150,168,113"/>
<area shape="rect" href="_map3_d_8cpp.html" title="Definicje metod klasy Map3D." alt="" coords="210,152,297,177"/>
<area shape="poly" title=" " alt="" coords="211,113,245,150,241,154,207,116"/>
<area shape="rect" href="_main_window_8cpp.html" title="Definicje metod klasy MainWindow." alt="" coords="5,225,125,251"/>
<area shape="poly" title=" " alt="" coords="109,190,77,227,73,223,105,186"/>
<area shape="rect" href="main_8cpp.html" title=" " alt="" coords="149,225,224,251"/>
<area shape="poly" title=" " alt="" coords="146,186,179,223,175,227,142,190"/>
</map>
</div>
</div>
<p><a href="_viewer_8hpp_source.html">Idź do kodu źródłowego tego pliku.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Komponenty</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_viewer.html">Viewer</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Okno z modelami trójwymiarowymi.  <a href="class_viewer.html#details">Więcej...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Opis szczegółowy</h2>
<div class="textblock"><p>Plik zawiera definicję klasy <a class="el" href="class_viewer.html" title="Okno z modelami trójwymiarowymi.">Viewer</a>, która dziedziczy po klasie QGLViewer. Służy ona do wyświetlania trój- wymiarowych obiektów tworzonych z pomocą openGL (plansza, robot przeszkody). </p>

<p class="definition">Definicja w pliku <a class="el" href="_viewer_8hpp_source.html">Viewer.hpp</a>.</p>
</div></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_4aa64b0872d36146e049722e293482e3.html">prj</a></li><li class="navelem"><a class="el" href="dir_72345776cd6700fb0dedb8f1faaa0c00.html">inc</a></li><li class="navelem"><a class="el" href="_viewer_8hpp.html">Viewer.hpp</a></li>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
